about summary refs log tree commit diff
diff options
context:
space:
mode:
authorHeiko Eißfeldt <heikoi@hexco.de>2019-07-19 11:08:23 +0200
committerHeiko Eißfeldt <heikoi@hexco.de>2019-07-19 11:08:23 +0200
commit13b8bc1a89624f76cc901dcbc0e1a2a16cbd7b3f (patch)
treeb3407164517f760898e23a02b43b997537cef15a
parent5b2cb426beb7af233b54d46c23750b96e69590a5 (diff)
downloadafl++-13b8bc1a89624f76cc901dcbc0e1a2a16cbd7b3f.tar.gz
add root check
-rwxr-xr-xafl-system-config4
1 files changed, 4 insertions, 0 deletions
diff --git a/afl-system-config b/afl-system-config
index fa24d473..97f95c09 100755
--- a/afl-system-config
+++ b/afl-system-config
@@ -1,5 +1,9 @@
 #!/bin/sh
 echo This reconfigures the system to have a better fuzzing performance
+if [[ $EUID -ne 0 ]] || ! [ `id -u` = 0 ]; then
+	echo if you are root \(which you are currently not\)
+	exit 1
+fi
 sysctl -w kernel.core_pattern=core
 sysctl -w kernel.randomize_va_space=0
 sysctl -w kernel.sched_child_runs_first=1